Create bot
curl --request POST \
--url https://api.wotnot.io/v1/bot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "BOT_NAME",
"template_id": 10234,
"channel": "API"
}
'import requests
url = "https://api.wotnot.io/v1/bot"
payload = {
"name": "BOT_NAME",
"template_id": 10234,
"channel": "API"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'BOT_NAME', template_id: 10234, channel: 'API'})
};
fetch('https://api.wotnot.io/v1/bot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wotnot.io/v1/bot",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'BOT_NAME',
'template_id' => 10234,
'channel' => 'API'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wotnot.io/v1/bot"
payload := strings.NewReader("{\n \"name\": \"BOT_NAME\",\n \"template_id\": 10234,\n \"channel\": \"API\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wotnot.io/v1/bot")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"BOT_NAME\",\n \"template_id\": 10234,\n \"channel\": \"API\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wotnot.io/v1/bot")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"BOT_NAME\",\n \"template_id\": 10234,\n \"channel\": \"API\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"id": 10587
}{
"ok": false,
"message": "Maximum bots limit reached for the account.",
"error": "MAXIMUM_BOTS_LIMIT_REACHED",
"code": "MAXIMUM_BOTS_LIMIT_REACHED"
}Bot
Create bot
Creates a bot in your account and returns its id.
POST
/
v1
/
bot
Create bot
curl --request POST \
--url https://api.wotnot.io/v1/bot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "BOT_NAME",
"template_id": 10234,
"channel": "API"
}
'import requests
url = "https://api.wotnot.io/v1/bot"
payload = {
"name": "BOT_NAME",
"template_id": 10234,
"channel": "API"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'BOT_NAME', template_id: 10234, channel: 'API'})
};
fetch('https://api.wotnot.io/v1/bot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.wotnot.io/v1/bot",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'BOT_NAME',
'template_id' => 10234,
'channel' => 'API'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.wotnot.io/v1/bot"
payload := strings.NewReader("{\n \"name\": \"BOT_NAME\",\n \"template_id\": 10234,\n \"channel\": \"API\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.wotnot.io/v1/bot")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"BOT_NAME\",\n \"template_id\": 10234,\n \"channel\": \"API\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.wotnot.io/v1/bot")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"BOT_NAME\",\n \"template_id\": 10234,\n \"channel\": \"API\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"id": 10587
}{
"ok": false,
"message": "Maximum bots limit reached for the account.",
"error": "MAXIMUM_BOTS_LIMIT_REACHED",
"code": "MAXIMUM_BOTS_LIMIT_REACHED"
}Authorizations
All of WotNot's APIs use Bearer token authentication. Send your account token as Bearer <token>. You can find it in Settings > Account Settings > Developer. Keep it on your server: anyone who has it can call the API as your account.
Body
application/json
The details of the new bot.
The name for the new bot. In the example, BOT_NAME stands in for the name you choose.
Example:
"BOT_NAME"
The ID of an existing bot to use as the reference for the new one.
Example:
10234
The channel for the bot, for example API.
Example:
"API"
Last modified on October 23, 2026
Was this page helpful?